Subject: Re: [sacm] ECP question

From: Ruben Oliva <[email-masked]>
Date: Sat, 27 Apr 2019 02:44:46 +0000 (UTC)

Hello team:
Here's two additional cents to this trail.
MAC addresses are used in events correlation and auditing.

David Oliva

-----Original Message-----
From: Kathleen Moriarty <[email-masked]>
To: Jessica Fitzgerald-McKay <[email-masked]>
Cc: [email-masked] <[email-masked]>; Dan Ehrlich <dan=[email-masked]>; [email-masked] <[email-masked]>
Sent: Fri, Apr 26, 2019 10:06 am
Subject: Re: [sacm] ECP question

Hi,
On Fri, Apr 26, 2019 at 8:52 AM Jessica Fitzgerald-McKay <[email-masked]> wrote:

Dan,

Thank you for the review! Your understanding of MAC addresses mirrors mine: they are not trustworthy as a sole device identifier.. I think that, despite that, they are still worth collection, for two reasons:

1) For device identity correlation-- For some network analytics, the MAC address is what they can see. These analytics should have the capability to correlate the behavior they see from an endpoint with a particular MAC address to a better device identifier. One way to do that is to provide all the identifiers an endpoint has (IP address, MAC address, device certificate, etc.) to the CMDB. For traditional endpoints, the ECP requires IF- IMC and (on the server side) IF-IMV. These interfaces allow endpoints to share multiple forms of identity to the server, and then stored in the CMDB for this sort of use case.

2) For attack identification-- ECP enables event-driven collection of endpoint data. That is, if something changes on the endpoint, ECP enables that change to be immediately (or, close to immediately) sent to the server, and then to the CMDB. An endpoint could share any changes to its MAC address as a part of that event-driven collection, which would help network tools notice a malicious change in near-real-time.

Given these reasons, I would like to keep MAC addresses as a type of device identity in the ECP.

I wonder if we could resolve your comments by including a note in the security considerations about the trust limitations of MAC addresses. We can say that they really should not be used as a sole device identifier, and, if other identities can be reported, they really ought to be collected at the same time as a MAC address. What do you think?

I think this is a good idea.  They may also be in a Privacy Considerations section.  You may want to call out the scope of collection in this description as well.  For instance, it may be recommended for use only within a closed network (datacenter, managed network, enterprise, etc.).  For MAC addresses, randomization has been defined separately by multiple vendors, but in ways that you can detect who the vendor is by their randomization pattern.  Privacy work to mitigate that came out of IEEE to standardize the randomization method across vendors.  I don't think that is well deployed.  
IMO, The section should touch on each of the identifier types and perhaps limit the recommended scope of use as a precautionary measure to assist with privacy. This will help address comments that could come in IETF last call or from the IESG.
Thank you,Kathleen

Thanks again for taking the time to share your thoughts!

Jess

On Fri, Apr 12, 2019 at 8:45 PM Dan Ehrlich <dan=[email-masked]> wrote:

Link I mentioned: https://datatracker.ietf.org/doc/draft-ietf-sacm-ecp/?include_text=1
Section 3.2.1
On Fri, Apr 12, 2019 at 5:42 PM Dan Ehrlich <[email-masked]> wrote:

In the RFC for ECP, there is a section that mentions the potential use of MAC addresses for identifying endpoints. 
My understanding is that there are many things wrong with MAC addresses today, such as that they can now be changed randomly by software, can't really be verified, can be spoofed easily, etc.
I cannot find the link I was using from yesterday, but can the MAC address mention be removed from ECP? 

Apologies if I viewed an old draft or if this was previously discussed,
Dan EhrlichAustin, Texashttps://linkedin.com/in/danehrlich/

_______________________________________________
sacm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sacm

_______________________________________________
sacm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sacm

-- 

Best regards,Kathleen_______________________________________________
sacm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sacm